Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class ViewArtifactHandler

    java.lang.Object
      org.codehaus.griffon.runtime.core.ArtifactHandlerAdapter
          org.codehaus.griffon.runtime.core.ViewArtifactHandler

    public class ViewArtifactHandler
    extends ArtifactHandlerAdapter

Handler for 'View' artifacts.

Authors:
  Andres Almiray

Since:
  0.9.1

Field Summary

Fields inherited from class ArtifactHandlerAdapter
app, artifacts, classes, classesByName, trailing, type

Constructor Summary
`ViewArtifactHandler(GriffonApplication app)`

Method Summary
`protected GriffonClass` | `newGriffonClassInstance(Class clazz)`

Methods inherited from class ArtifactHandlerAdapter
findClassFor, getApp, getArtifacts, getClassFor, getClassFor, getClasses, getClassesByName, getTrailing, getType, initialize, isArtifact, isArtifact, newGriffonClassInstance

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ViewArtifactHandler

    public ViewArtifactHandler(GriffonApplication app)

Method Detail

### newGriffonClassInstance

    protected GriffonClass newGriffonClassInstance(Class clazz)

Groovy Documentation